-- Roles
DROP INDEX idx_roles_user;
ALTER TABLE jforum_roles DROP COLUMN user_id;

-- Posts
ALTER TABLE jforum_posts ALTER COLUMN user_id SET DEFAULT 0;

-- Topics
ALTER TABLE jforum_topics ALTER COLUMN topic_vote RENAME TO topic_vote_id;

-- Users
ALTER TABLE jforum_users ALTER COLUMN user_website VARCHAR(255)
ALTER TABLE jforum_users ADD user_biography LONGVARCHAR;

-- Vote Desc
ALTER TABLE jforum_vote_desc ALTER COLUMN vote_text VARCHAR(255);
ALTER TABLE jforum_vote_desc ALTER COLUMN vote_start DATETIME;

-- Vote Voters
ALTER TABLE jforum_vote_voters ALTER COLUMN vote_user_ip VARCHAR(15);

-- Search Results
ALTER TABLE jforum_search_results ALTER COLUMN session RENAME TO session_id;

-- Search Topics
ALTER TABLE jforum_search_topics ALTER COLUMN topic_vote RENAME TO topic_vote_id;
ALTER TABLE jforum_search_topics ALTER COLUMN session RENAME TO session_id;

--
-- Table structure for table 'jforum_banner'
--
DROP TABLE IF EXISTS jforum_banner;
CREATE TABLE jforum_banner (
	banner_id INT GENERATED BY DEFAULT AS IDENTITY (start with 1),
	banner_name VARCHAR(90),
	banner_placement INT NOT NULL,
	banner_description VARCHAR(30),
	banner_clicks INT NOT NULL,
	banner_views INT NOT NULL,
	banner_url VARCHAR(90),
	banner_weight INT DEFAULT 50 NOT NULL,
	banner_active INT NOT NULL,
	banner_comment VARCHAR(50),
	banner_type INT NOT NULL,
	banner_width INT NOT NULL,
	banner_height INT NOT NULL,
	PRIMARY KEY(banner_id)
);

--
-- Table structure for table 'jforum_forums_watch'
--
DROP TABLE IF EXISTS jforum_forums_watch;
CREATE TABLE jforum_forums_watch (
  forum_id INT NOT NULL,
  user_id INT NOT NULL,
  is_read INT DEFAULT 1
);
CREATE INDEX idx_fw_forum ON jforum_forums_watch(forum_id);
CREATE INDEX idx_fw_user ON jforum_forums_watch(user_id);